{% load i18n %}
<div class="card">
  <div class="card-header">
    <h3 class="card-title">{% translate 'Working contract' %} <span class="ms-2 card-subtitle">{% translate 'Employer' %}: {{ employee.tenant }}</span></h3>

  </div>
  <div class="card-body">
    {% if working_contract %}
      <div class="datagrid">
        <div class="datagrid-item">
          <div class="datagrid-title">{% translate 'Time frame' %}</div>
          <div class="datagrid-content">
            {{ working_contract.start_date }}{% if working_contract.end_date %} - {{ working_contract.end_date }}{% endif %}
          </div>
        </div>

        <div class="datagrid-item">
          <div class="datagrid-title">{% translate 'Employment date' %}</div>
          <div class="datagrid-content">{{ working_contract.employment_date }}</div>
        </div>

        <div class="datagrid-item">
          <div class="datagrid-title">{% translate 'Notice period' %}</div>
          <div class="datagrid-content">
            {% with notice_period_weeks=working_contract.notice_period_weeks notice_period_months=working_contract.notice_period_months %}
              {% if notice_period_weeks %}
                {% blocktranslate %}{{ notice_period_weeks }} weeks{% endblocktranslate %}
              {% elif notice_period_months %}
                {% blocktranslate %}{{ notice_period_months }} months{% endblocktranslate %}
              {% else %}
                -
              {% endif %}
            {% endwith %}
          </div>
        </div>

        <div class="datagrid-item">
          <div class="datagrid-title">{% translate 'Classification' %}</div>
          <div class="datagrid-content">{{ working_contract.classification }}</div>
        </div>

        <div class="datagrid-item">
          <div class="datagrid-title">{% translate 'Intended application' %}</div>
          <div class="datagrid-content">{{ working_contract.intended_application }}</div>
        </div>

        <div class="datagrid-item">
          <div class="datagrid-title">{% translate 'Salary' %}</div>
          <div class="datagrid-content">
            <button
                class="btn btn-sm"
                hx-get="{% url 'employees:salary' user.employee.id working_contract.id %}"
                hx-swap="outerHTML">
              *****
            </button>
          </div>
        </div>

        <div class="datagrid-item">
          <div class="datagrid-title">{% translate 'Holidays' %}</div>
          <div class="datagrid-content">{{ working_contract.holidays|default:"-" }}</div>
        </div>

        {% if working_contract.holidays_special or working_contract.holidays_training %}
          <div class="datagrid-item">
            <div class="datagrid-title">{% translate 'Special holidays' %}</div>
            <div class="datagrid-content">
              {% if working_contract.holidays_special %}{% translate 'Special holidays' %}: {{ working_contract.holidays_special|default:"-" }}{% endif %}
              {% if working_contract.holidays_training %}{% translate 'Training' %}: {{ working_contract.holidays_training|default:"-" }}{% endif %}
            </div>
          </div>
        {% endif %}

      </div>
    {% else %}
      <div class="alert alert-warning">
        {% translate 'There is no working contract available. Please ask your emplyoer to add one.' %}
      </div>
    {% endif %}
  </div>
</div>